Std Undo: Difference between revisions

From FreeCAD Documentation
No edit summary
(Add UndoMode)
Line 58: Line 58:


FreeCAD.ActiveDocument.undo()
FreeCAD.ActiveDocument.undo()
}}
<translate>

Notice that when running FreeCAD in pure console (CLI) mode, undo/redo mechanism isn't enabled by default. It shall be explicitly activated per each document.
</translate>
{{Code|code=
import FreeCAD

FreeCAD.ActiveDocument.UndoMode = 1
}}
}}
<translate>
<translate>

Revision as of 07:59, 10 December 2021

Std Undo

Menu location
Edit → Undo
Workbenches
All
Default shortcut
Ctrl+Z
Introduced in version
-
See also
Std Redo

Description

The Std Undo command undoes the last action.

Usage

  1. There are several ways to invoke the command:
    • Press the Std Undo button.
    • Select the Edit → Undo option from the menu.
    • Use the keyboard shortcut: Ctrl+Z.

Options

  • To undo multiple actions click on the small black down arrow to the right of the Std Undo button and select from the list.

Preferences

  • The Undo/Redo functionality can be disabled by setting Tools → Edit parameters... → BaseApp → Preferences → Document → UsingUndo to false, but this is not recommended. This setting can also be changed in the Preferences Editor.
  • The maximum number of Undo/Redo steps is controlled by Tools → Edit parameters... → BaseApp → Preferences → Document → MaxUndoSize. This setting can also be changed in the Preferences Editor.

Scripting

See also: FreeCAD Scripting Basics.

To undo the last action use the undo method of the document object.

import FreeCAD

FreeCAD.ActiveDocument.undo()

Notice that when running FreeCAD in pure console (CLI) mode, undo/redo mechanism isn't enabled by default. It shall be explicitly activated per each document.

import FreeCAD

FreeCAD.ActiveDocument.UndoMode = 1